
// This is just to center the spinner

html, body { height: 100%; margin:0 }

#splash-screen {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  background: #eceff1;

  font-family: Montserrat, sans-serif;
}

.loader-container {
  display: flex;
  align-items: center;

  justify-content: center;
  position: relative;
  height: 200px;
  width: 200px;
}
.loader-container svg{
  position: absolute;
}
// Here is where the magic happens

$offset: 622;
$duration: 1.4s;

.spinner {
  animation: rotator $duration linear infinite;
}
.loader-dog {
  left:10px;
  bottom: 10px;
  width: 186px;
  height:auto;
}
@keyframes rotator {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(270deg); }
}

.path {
  stroke-dasharray: $offset;
  stroke-dashoffset: 0;
  transform-origin: center;
  stroke: #FCB316;
  animation: dash $duration ease-in-out infinite;
}


@keyframes dash {
  0% { stroke-dashoffset: $offset; }
  50% {
    stroke-dashoffset: $offset/4;
    transform:rotate(135deg);
  }
  100% {
    stroke-dashoffset: $offset;
    transform:rotate(450deg);
  }
}